Bug 119980 - remote displaying shows garbage fonts for kernel xconfig
remote displaying shows garbage fonts for kernel xconfig
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2004-04-04 11:55 EDT by Sammy
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-06 11:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sammy 2004-04-04 11:55:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux; X11; en_US, en) (KHTML, like Gecko)

Description of problem:
I have xorg installed on my desktop and my laptop. Both using
Fedora devel latest. I am connected to my desktop from home
using the laptop. I am issuing the command "make xconfig"
from the kernel source directory and I get the xconfig display
open on the laptop where all fonts are some symbol fonts.
I have been doing this for a while in the past and there was no
problem. However, things like xterm, kedit etc. open fine.
I am running KDE as window manager. I am not sure who this
bug belongs to so feel free to reassign if you believe it belongs
to another component.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.login to a remote machine
2.change to kernel source directory
3.type "make xconfig"

Additional info:
Comment 1 Sammy 2004-04-06 11:42:51 EDT
Not a bug! Someone put "symbol" as font into scripts/kconfig/qconf.cc file in 
kernel 2.6.5. 
Comment 2 Alessio Bertone 2004-07-19 04:54:56 EDT
The problem isn't the type "symbol" font, doesn't resolve it if you 
delete ~/.qt ~./.font-cache-1, etc.
But try this!
Launch the qtconfig, select Fonts tab, and select for example font 
Family Serif, Style normal amd point size 11! Save and your xconfig 
will work fine.
the problem is that the font Sans isn't displayed correctly, but I 
don't know why :-)
If this doesn't work, turn off also the AntiAlias XFt through the 
control panel.
Alessio Bertone

Note You need to log in before you can comment on or make changes to this bug.